<template>
  <div class="survey-detail container">
    <h2 class="survey-title">Details of the survey {{ surveyCode }}</h2>
    <div class="detail-item" v-for="data in surveyData" :key="data.type">
      <label class="label">{{ data.label }}</label>
      <Qcm v-if="data.type === 'qcm'" :data-qcm="data.result" />
      <Numeric v-if="data.type === 'numeric'" :data-num="data.result" />
      <Date v-if="data.type === 'date'" :dates="data.result" />
    </div>
  </div>
</template>

<script>
import Qcm from "./TypesSurvey/Qcm";
import Numeric from "./TypesSurvey/Numeric";
import Date from "./TypesSurvey/Date";

export default {
  name: "SurveyDetail",
  components: {
    Qcm,
    Numeric,
    Date,
  },
  props: {
    surveyCode: {
      type: String,
      default: "",
    },
    surveyData: {
      type: Array,
      default: () => [],
    },
  },
};
</script>

<style lang="scss">
.common-type {
  font-size: 14px;
  padding-left: 10px;
  padding-bottom: 20px;
}
</style>

<style lang="scss" scoped>
.detail-item {
  min-height: 100px;
  .label {
    display: block;
    background-color: $-blue;
    padding: 10px;
    font-size: 16px;
    color: $-white;
  }
}
</style>
